@use 'sass:math';

.embed-responsive {
    position: relative;
    display: block;
    width: 100%;
    padding: 0;
    overflow: hidden;

    &::before {
        display: block;
        content: "";
    }

    .embed_responsive_item,
    iframe,
    embed,
    object,
    video {
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 100%;
        border: 0;
    }
}

.embed-responsive_21by9 {
    &::before {
        padding-top: math.percentage(math.div(9,21));
    }
}

.embed-responsive_16by9 {
    &::before {
        padding-top: math.percentage(math.div(9,19));
    }
}

.embed-responsive_4by3 {
    &::before {
        padding-top: math.percentage(math.div(3,4));
    }
}

.embed-responsive_1by1 {
    &::before {
        padding-top: math.percentage(math.div(1,1));
    }
}

.img-fluid {
    height: auto;
    display: block;
    max-width: 100%;
}

.img-cover {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
    object-position: center center;
}

.img-contain {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: contain;
    object-position: center center;
}

.ico-svg {
    position: relative;
    display: inline-block;
    width: auto;
    height: 100%;
    -webkit-transform: translate(0, 0);
    transform: translate(0, 0);
}

.hide {
    opacity: 0 !important;
    display: none !important;
    visibility: hidden !important;
}

// Visually hidden

.visually-hidden,
.visually-hidden-focusable:not(:focus):not(:focus-within) {
    @include visually-hidden();
}

// Alignment

.text-left      { text-align: left !important; }
.text-center    { text-align: center !important; }
.text-right     { text-align: right !important; }
.text-justify   { text-align: justify !important; }
.text-nowrap    { white-space: nowrap !important; }

.fw-600 {
    font-weight: 600 !important;
}

.fw-700 {
    font-weight: 700 !important;
}

// Transformation

.text-lowercase  { text-transform: lowercase !important; }
.text-uppercase  { text-transform: uppercase !important; }
.text-capitalize { text-transform: capitalize !important; }

.mb-0 			 { margin-bottom: 0px !important; }
.mb-10 			 { margin-bottom: rem(10) !important; }
.mb-20 			 { margin-bottom: rem(20) !important; }
.mb-30 			 { margin-bottom: rem(30) !important; }
.mb-40 			 { margin-bottom: rem(40) !important; }
.mb-50 			 { margin-bottom: rem(50) !important; }
.mb-60 			 { margin-bottom: rem(60) !important; }

.mb-4 {
    margin-bottom: rem(4);
}


.mb-12 {
    margin-bottom: rem(12) !important;
}
.mb-14 {
    margin-bottom: rem(14) !important;
}
.mb-16 {
    margin-bottom: rem(16) !important;
}
.mb-24 {
    margin-bottom: rem(24) !important;
}
.mb-28 {
    margin-bottom: rem(28) !important;
}
.mb-32 {
    margin-bottom: rem(32) !important;
}

.mb-md-28 {
    @include media-breakpoint-up(lg) {
        margin-bottom: rem(28) !important;
    }
}


.align-center { align-items: center;}
.align-start { align-items: flex-start;}
.align-end { align-items: flex-end;}
.justify-content-between { justify-content: space-between !important; }
.justify-content-start { justify-content: flex-start !important; }
.justify-content-end { justify-content: flex-end !important; }
.justify-content-center { justify-content: center !important; }

.flex-direction-column {
    flex-direction: column;
}

.w-100 {
    width: 100%;
}

.w-sm-100 {
    width: 100%;

    @include media-breakpoint-up(md) {
        width: auto;
    }
}

.row-gap-14 {
    row-gap: rem(14);
}

.row-gap-16 {
    row-gap: rem(16);
}

.column-gap-8 {
    column-gap: rem(8);
}

.column-gap-12 {
    column-gap: rem(12);
}

.column-gap-14 {
    column-gap: rem(14);
}

.column-gap-16 {
    column-gap: rem(16);
}

.column-gap-24 {
    column-gap: rem(24);
}

.column-gap-28 {
    column-gap: rem(28) !important;
}

.row-gap-28 {
    row-gap: rem(28) !important;
}

.column-gap-32 {
    column-gap: 32px;
}

.flex-glow-1 {
    flex-grow: 1;
}

.position-relative {
    position: relative;
}

.color-gray-40 {
    color: var(--gray-40) !important;
}

.color-gray-60 {
    color: var(--gray-60) !important;
}

.color-gray-80 {
    color: var(--gray-80) !important;
}

.color-black {
    color: black !important;
}

.color-red {
    color: var(--red) !important;
}

.color-blue {
    color: var(--primary);
}


// Visibility
.d-flex {
    display: flex !important;
}

.d-none {
    display: none !important;
}

.d-md-none {

    @include media-breakpoint-up(md) {
        display: none !important;
    }
}

.d-lg-block {

    @include media-breakpoint-up(lg) {
        display: block !important;
    }
}

.d-lg-flex {

    @include media-breakpoint-up(lg) {
        display: flex !important;
    }
}
.d-lg-none {

    @include media-breakpoint-up(lg) {
        display: none !important;
    }
}

.d-xl-none {

    @include media-breakpoint-up(xl) {
        display: none !important;
    }
}

.d-none-xl {

    @include media-breakpoint-up(xl) {
        display: none !important;
    }
}

.d-xl-block {

    @include media-breakpoint-up(xl) {
        display: block !important;
    }
}

.d-xl-flex {

    @include media-breakpoint-up(xl) {
        display: flex !important;
    }
}

.d-xxl-none {

    @include media-breakpoint-up(xxl) {
        display: none !important;
    }
}

.d-xxl-block {

    @include media-breakpoint-up(xxl) {
        display: block !important;
    }
}

.color-yellow {
    color: #E59A0D !important;
}

.h-auto {
    height: auto !important;
}

.fs-15 {
    font-size: rem(15) !important;
}

.fs-13 {
    font-size: rem(13) !important;
    line-height: rem(20) !important;
}

.fs-20 {
    font-size: rem(20) !important;
    line-height: rem(24) !important;
}
